summaryrefslogtreecommitdiff
path: root/tests/tests/downstream-gitless
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tests/downstream-gitless')
-rwxr-xr-xtests/tests/downstream-gitless24
1 files changed, 24 insertions, 0 deletions
diff --git a/tests/tests/downstream-gitless b/tests/tests/downstream-gitless
new file mode 100755
index 0000000..1912613
--- /dev/null
+++ b/tests/tests/downstream-gitless
@@ -0,0 +1,24 @@
+#!/bin/bash
+set -e
+. tests/lib
+. $troot/lib-reprepro
+
+t-setup-import examplegit
+t-tstunt-parsechangelog
+
+suitespecs=avon
+t-reprepro-cfg ds- downstream
+t-reprepro-setup ds-
+
+t-reprepro-includedsc avon $tmp/mirror/pool/main/example_1.1.dsc ds-
+
+t-reprepro-regen ds-
+
+distro=''
+
+t-git-config dgit-suite.avon.distro downstream
+t-git-config dgit-distro.downstream.git-check false
+
+t-dgit clone example avon example.avon
+
+#t-ok